Page MenuHomePhabricator

Java Runtime on Toollabs - not up to date?
Closed, ResolvedPublic

Description

When deploying a new test-version of a war-file to tomcat, I get a java version error.

A servlet, that I compiled last year is executed fine, another servlet, that I compiled recently, displays (both servlets within the same war-file):

Unsupported major.minor version 52.0 (unable to load class

"java -version" displays "OpenJDK Runtime Environment (IcedTea 2.6.7) (7u111-2.6.7-0ubuntu0.14.04.3) OpenJDK 64-Bit Server VM (build 24.111-b01, mixed mode)" on labs

but "Java(TM) SE Runtime Environment (build 1.8.0_91-b14) Java HotSpot(TM) 64-Bit Server VM (build 25.91-b14, mixed mode)" on the computer I compiled the servlet on.

It looks to me as if either JRE/JVM, or Tomcat, or servlet.jar needs to be updated?

Event Timeline

Restricted Application added a project: Cloud-Services. · View Herald TranscriptOct 11 2016, 8:08 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
scfc added a subscriber: scfc.Nov 24 2016, 11:09 AM

I don't have experience with either, but according to https://wikitech.wikimedia.org/wiki/Help:Tool_Labs/Web#Kubernetes, for JDK 8 you have to use the Kubernetes backend. I assume that for Tomcat that can be achieved by webservice --backend=kubernetes jdk8 start. Could you please try if that works?

scfc triaged this task as Low priority.Feb 16 2017, 10:38 PM
scfc moved this task from Triage to Backlog on the Toolforge board.
bd808 closed this task as Resolved.Mar 14 2019, 7:45 PM
bd808 claimed this task.
bd808 added a subscriber: bd808.

JDK8 is now provided on the Stretch job grid as well as the Kubernetes cluster. Tomcat is not currently supported on the Kubernetes cluster. See T141396: Provide a migration path for tools running tomcat for more information.